Bug 1462729 - (CVE-2017-9233) CVE-2017-9233 expat: Inifinite loop due to invalid XML in external entity
CVE-2017-9233 expat: Inifinite loop due to invalid XML in external entity
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170614,repor...
: Security
Depends On: 1462731 1462732 1462733 1462734 1462735
Blocks: 1462763
  Show dependency treegraph
 
Reported: 2017-06-19 08:37 EDT by Adam Mariš
Modified: 2017-09-12 11:33 EDT (History)
57 users (show)

See Also:
Fixed In Version: expat 2.2.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-19 08:37:58 EDT
An infinite loop vulnerability due to malformed XML in external entity was found in entityValueInitProcessor function affecting versions of Expat 2.2.0 and earlier.

Upstream patch:

https://github.com/libexpat/libexpat/commit/c4bf96bb51dd2a1b0e185374362ee136fe2c9d7f

External References:

https://libexpat.github.io/doc/cve-2017-9233/
Comment 1 Adam Mariš 2017-06-19 08:39:36 EDT
Created compat-expat1 tracking bugs for this issue:

Affects: fedora-all [bug 1462732]


Created expat tracking bugs for this issue:

Affects: fedora-all [bug 1462735]


Created expat21 tracking bugs for this issue:

Affects: epel-all [bug 1462734]


Created mingw-expat tracking bugs for this issue:

Affects: epel-7 [bug 1462731]
Affects: fedora-all [bug 1462733]
Comment 2 Huzaifa S. Sidhpurwala 2017-08-04 00:25:12 EDT
Mitigation:

Do not parse untrusted arbitrary XML data using the expat package.

Note You need to log in before you can comment on or make changes to this bug.